/* **************************************************************** 

   callback-routinen fuer rk*_server-xforms-Programme

 (c) Heisch Automation, Werner Heisch

       http://sites.inka.de/heisch 
       http://www.heisch-automation.de

Stand 26.01.2009 HW  


* *****************************************************************
*/
#include "forms.h"
#include "rk7_client.h"

#include "svr_info.h"

/* ******************************* */

void cb_svr_info(FL_OBJECT *ob, long data)

{

  int unlim;
  char hstr[40];

  struct rk_svr_inf_type svr_infoD;

  if (svr_info_open) return;
  svr_info_open = 1;

  /* vorbesetzung */
  fl_set_object_label(fd_svr_info->svrtyp,"--NONE--");
  fl_set_object_label(fd_svr_info->version,"----");
  fl_set_object_label(fd_svr_info->compile_date,"----");
  fl_set_object_label(fd_svr_info->runmode,"----");
  fl_set_object_label(fd_svr_info->stop_zeit,"----");
  fl_set_object_label(fd_svr_info->osbits,"--");
  fl_set_object_label(fd_svr_info->svrAuftrAnz,"--");

  /* server abfragen */
  if (rk7_svr_info (&unlim, &svr_infoD) == 0) { /* Wenn fehlerfrei */
    fl_set_object_label(fd_svr_info->svrtyp,svr_infoD.svrtyp);
    fl_set_object_label(fd_svr_info->version,svr_infoD.version);
    fl_set_object_label(fd_svr_info->compile_date,svr_infoD.compile_date);
    fl_set_object_label(fd_svr_info->runmode,svr_infoD.runmode);
    fl_set_object_label(fd_svr_info->stop_zeit,svr_infoD.stop_zeit);
    sprintf(hstr,"%i",svr_infoD.osbits);
    fl_set_object_label(fd_svr_info->osbits,hstr);
    sprintf(hstr,"%i",svr_infoD.svrAuftrAnz);
    fl_set_object_label(fd_svr_info->svrAuftrAnz ,hstr);
  }

  /* information über die client-bibliothek */
  rk_version(hstr);
  fl_set_object_label(fd_svr_info->client_info ,hstr);

  fl_show_form(fd_svr_info->svr_info, FL_PLACE_MOUSE,FL_TRANSIENT,\
     "Server Info");
}

/* ******************************* */

void cb_svr_info_close(FL_OBJECT *ob, long data)

{
  fl_hide_form(fd_svr_info->svr_info);
  svr_info_open = 0;
}


